import random

def evaluate_guess(computer_choice, guess, last_guess=False):
    '''Checks the computer choice against the guess and ends game
       if the guess is equal to computer_choice.
       Also tells player whether the guess was too high or too low
       Return value: -1 for too low, 0 for correct, 1 for too high
       >>> evaluate_guess(8,3)
       Too low! Guess again.
       -1

       >>> evaluate_guess(5,9)
       Too high! Guess again.
       1

       >>> evaluate_guess(20,20)
       You guessed my number!
       Goodbye!
       0
    '''
    if guess < computer_choice:
        print("Too low!", end='')
        if not last_guess:
            print(" Guess again.")
        return -1
    elif guess > computer_choice:
        print("Too high!", end='')
        if not last_guess:
            print(" Guess again.")
        return 1
    else:
        print("You guessed my number!")
        print("Goodbye!")
        return 0

if __name__ == '__main__':
    MAX_NUM = 20

    maximum = int(input(f"Let's play a game. Choose a number between 5 and "
                        f"{MAX_NUM}: "))

    if maximum > MAX_NUM:
        print("Sorry, that number is too high. Goodbye!")
        quit()
    elif maximum < 0:
        print("Sorry, that number is too low. Goodbye!")
        quit()

    computer_choice = random.randint(0,maximum)

    print(f"I have chosen a number between 0 and {maximum}, inclusive.")

    num_tries = int(input("How many attempts would you like? "))

    last_guess = False
    for tries_left in range(num_tries, 0, -1):
        if tries_left == 1:
            last_guess = True
            guess = int(input(f"Try to guess my number. You have 1 try "
                              f"left. Good luck! "))
        else:
            guess = int(input(f"Try to guess my number. You have {tries_left} "
                              f"tries left. "))
        if evaluate_guess(computer_choice, guess, last_guess) == 0:
            quit()

    print(f"The number I chose was {computer_choice}.")


